package cn.feast.coding.mapper;

import java.util.List;
import java.util.Map;

public interface IMapper<T> {
    int insert(T t);

    int update(T t);

    int deleteByPrimaryKey(Integer id);

    List<T> selectAll(T t);

    T selectByPrimaryKey(Integer id);

    List<T> queryAll();
}
